Resource Center/Hardware/Host Operations/PCI Device Operations
POSTPCI Device OperationsSince 3.5.0SynchronousAuth Required
AddMdevDeviceSpecToVmInstance
AddMdevDeviceSpecToVmInstance
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
mdevSpecUuidStringRequiredThe UUID of the MDEV device specification.
vmInstanceUuidStringRequiredThe VM instance UUID.
Body Fields
paramsObjectRequiredRequest body parameter object.
mdevDeviceNumberIntegerOptional. The number of MDEV devices.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/mdev-device-specs/{mdevSpecUuid}/vm-instances/{vmInstanceUuid}
/zstack/v1/mdev-device-specs/{mdevSpecUuid}/vm-instances/{vmInstanceUuid}
Request Example
curl -X POST 'http://{host}/zstack/v1/mdev-device-specs/{mdevSpecUuid}/vm-instances/{vmInstanceUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"mdevDeviceNumber":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "vmInstanceUuid": "e2af8f869eff49d2a3d6f86cadc27090", "mdevSpecUuid": "aa2e5e2cd0e749fab48ed045117ed70b", "mdevDeviceNumber": 1.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }Change History
This API has no change history records yet.
